---
title: "Unarchive Group"
slug: "unarchive-group"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Unarchive Group

Post/api/v1/groups.unarchive

Unarchive a private channel. Permission required: `unarchive-room`

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='eeb22b56-94b7-4255-954d-1c12a534d616'>application/json</option>
</select>object  roomIdstring    Required

The room ID that you want to unarchive.

ExampleByehQjC44FwMeiLbX

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='3401ec33-8a6d-4115-bedd-65925dd6c90c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f55baf64-9787-4830-86e1-ff12160a595d'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='52979004-7bad-420c-891a-be21ececf539'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='094e77f1-bda2-4730-bc83-83642f0fff39'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]",
  "errorType": "error-room-param-not-provided"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='8d892227-c925-4cab-b398-914f1c3146d1'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='95cfbf20-6f88-4082-bec2-593dc7087488'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
